const Gio = imports.gi.Gio;

const Config = imports.misc.config;

const Extension = imports.misc.extensionUtils.getCurrentExtension();

// End of imports.

function getSettings() {
	let dir = Extension.dir.get_child('schemas').get_path();
	let source = Gio.SettingsSchemaSource.new_from_directory(dir,
			Gio.SettingsSchemaSource.get_default(),
			false);

	if(!source) {
		throw new Error('Error Initializing the thingy.');
	}

	let schema = source.lookup('org.gnome.shell.extensions.helpful-keybindings', false);

	if(!schema) {
		throw new Error('Schema missing.');
	}
	
	return new Gio.Settings({
		settings_schema: schema
	});
}


function getVersion() {
	let version = Config.PACKAGE_VERSION;
	return version.match(/\d\.\d/)[1];
}

const bindings = {
	'all': [ 'show-looking-glass', 'open-terminal' ],
	'3.4': [ 'show-message-tray', 'activate-message-tray' ],
	'3.6': [ 'activate-message-tray'],
	'3.8': []
}

function getKeyBindings() {
	let version = getVersion();
	if(version in bindings) {
		let binds =  bindings[version];
		for(i in bindings['all']) {
			binds.push(bindings['all'][i]);
		}

		return binds;
	} else {
		return bindings['all'];
	}
}
